package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.PlatformProfitRatioDTO;
import com.chelvc.cloud.vehicle.client.param.EditPlatformProfitRatioParam;
import com.chelvc.cloud.vehicle.client.param.QueryPlatformProfitRatioParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient("vehicle")
public interface PlatformProfitRatioClient {

    @PostMapping("/platformProfitRatio/selectOmsOrderSettingById")
    void edit(@RequestBody EditPlatformProfitRatioParam param);

    @GetMapping("/platformProfitRatio/queryPageList")
    Pagination<PlatformProfitRatioDTO> queryPageList(@SpringQueryMap QueryPlatformProfitRatioParam param);
}
