package com.chelvc.cloud.vehicle.client.dto;

import com.chelvc.cloud.vehicle.client.constant.MerchantStatus;
import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 商家名称
     */
    private String name;

    /**
     * 商家Logo
     */
    private String logo;

    /**
     * 轮播图列表
     */
    private List<File> banners;

    /**
     * 联系人
     */
    private String liaison;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 营业时间
     */
    private String opening;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 商家评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;

    /**
     * 好评数量
     */
    private Integer goodReview;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 商家状态
     */
    private MerchantStatus status;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 商家是否被收藏
     */
    private boolean favorites = false;

    /**
     * 所属地区
     */
    private Integer region;

    /**
     * 购物车商品信息
     */
    private List<OmsCartItemDTO> cartItems;
    /**
     * 营业状态 0-营业中 1-休息中
     */
    private String businessStatus;

    /**
     * 商家主营业务
     */
    private Long mainBusiness;
    /**
     * 商家主营业务名称
     */
    private String mainBusinessName;
    /**
     * 商家副营业务
     */
    private List<Long> ancillaryBusiness;

    /**
     * 商家副营业务名称
     */
//    private List<String> ancillaryBusinessName;

}
