package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantTeamDTO implements Serializable {

    private static final long serialVersionUID = 7510089764088466061L;

    /**
     * 已推广订单数
     */
    private int popularizeNum = 0;

    /**
     * 已确认收益
     */
    private BigDecimal popularizeAmount = BigDecimal.ZERO;

    /**
     * 待确认订单数
     */
    private int awaitNum = 0;

    /**
     * 待确认收益
     */
    private BigDecimal awaitAmount = BigDecimal.ZERO;
}
