package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RankAwardRecordDTO implements Serializable {

    private static final long serialVersionUID = -4303023669527956665L;

    /**
     * 主键标识
     */
    private Long id;

    /**
     * 用户标识
     */
    private Long userId;

    /**
     * 名称
     */
    private String name;

    /**
     * 排名
     */
    private int rank;

    /**
     * 周期
     */
    private int period;

    /**
     * 类类型：类型：0-年；1-季；2-月；3-周；4-日  暂时默认为2
     */
    private Integer type;

    /**
     * 平台类型：1-用户；2-商家 暂时默认为2
     */
    private Integer platformType;

    /**
     * 奖励金额
     */
    private BigDecimal bonus;

    /**
     * 派奖时间
     */
    private LocalDateTime awardTime;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
