package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.HelpDTO;
import com.chelvc.cloud.vehicle.client.param.HelpModifyParam;
import com.chelvc.cloud.vehicle.client.param.HelpPagingParam;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 帮助Service接口
 *
 * @author liude
 * @date 2023-11-08
 */
public interface HelpService
{
    /**
     * 分类下得问题集合
     * @return
     */
    List<HelpDTO> helpList(Long categoryId);

    /**
     * 查询帮助
     *
     * @param id 帮助主键
     * @return 帮助
     */
    public HelpDTO selectHelpById(Long id);

    /**
     * 查询帮助列表
     *
     * @param param 帮助
     * @return 帮助集合
     */
    public List<HelpDTO> selectHelpList(HelpModifyParam param);

    /**
     * 新增帮助
     *
     * @param param 帮助
     * @return 结果
     */
    public void insertHelp(HelpModifyParam param);

    /**
     * 修改帮助
     *
     * @param param 帮助
     * @return 结果
     */
    public void updateHelp(Long id,HelpModifyParam param);


    /**
     * 删除帮助信息
     *
     * @param id 帮助主键
     * @return 结果
     */
    public void deleteHelpById(Long id);

    /**
     * 分页查询帮助列表
     * @param param
     * @return
     */
    Pagination<HelpDTO> getHelpPaging(HelpPagingParam param);
}
